/**
 * This Program is a small example for how to use Jasperreports
 * 
 * Copyright (C) 2006 Alexander Merz
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package com.alexmerz.jasperreports;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.HashMap;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;

public class Example2 {

	/**
	 * @param args unused
	 * @throws ClassNotFoundException 
	 * @throws SQLException 
	 */
	public static void main(String[] args) throws ClassNotFoundException, SQLException {
		JasperReport jasperReport;
		JasperPrint jasperPrint;
		HashMap<String, String> parameter = new HashMap<String, String>(); 
		Connection conn;
		
		try {
			Class.forName( "com.mysql.jdbc.Driver" );
			conn = DriverManager.getConnection( "jdbc:mysql://localhost/reports",
                    "report",
                    "report" );
			
			jasperReport = JasperCompileManager.compileReport("JRXML/Example2.jrxml");
		    jasperPrint = JasperFillManager.fillReport(jasperReport, parameter, conn);
		    JasperExportManager.exportReportToPdfFile(jasperPrint, "output/Example2.pdf");
		}
		catch (JRException e) {
		      e.printStackTrace();
		}

	}

}
