/**
 * This Program is a small example for how to use Jasperreports
 * 
 * Copyright (C) 2006 Alexander Merz
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package com.alexmerz.jasperreports;

import java.util.HashMap;

import net.sf.jasperreports.engine.JREmptyDataSource;
import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;

public class Example8 {

	/**
	 * @param args unused
	 */
	public static void main(String[] args) {
		JasperReport jasperReport;
		JasperPrint jasperPrint;
		HashMap<String, String> parameter = new HashMap<String, String>(); 		
		
		try {			
			jasperReport = JasperCompileManager.compileReport("JRXML/Example8.jrxml");
		    jasperPrint = JasperFillManager.fillReport(jasperReport, parameter, new JREmptyDataSource());
		    JasperExportManager.exportReportToPdfFile(jasperPrint, "output/Example8.pdf");
		    JasperExportManager.exportReportToHtmlFile(jasperPrint, "output/Example8.html");
		}
		catch (JRException e) {
		      e.printStackTrace();
		}
	}

}
