package com.alexmerz.jasperreports.exampe14;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import net.sf.jasperreports.engine.JRDataSource;
import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JRField;

public class MyDataSource implements JRDataSource {

	ResultSet rs = null;
	Connection conn = null;
	
	public boolean next() throws JRException {
		if(rs == null) {
				connectDB();
		} 		
		try {
			boolean  r = rs.next(); 
			if(!r) {
				closeDB();
			}
			return r;
		} catch (SQLException e) {
			return false;
		}		
	}

	public Object getFieldValue(JRField jrField) throws JRException {
		String col = jrField.getName();
		if(col != null && col.length()>0) {
			try {
				return rs.getString(col);
			} catch (SQLException e) {
				return new JRException("Column "+ col + "does not exists!");
			}
		}
		return null;
	}
	
	private void connectDB() throws JRException {
		try {		
			Class.forName( "com.mysql.jdbc.Driver" );
			conn = DriverManager.getConnection( "jdbc:mysql://localhost/reports",
					"root",
                	"root" );
			Statement stmt = conn.createStatement();
			rs = stmt.executeQuery("SELECT firstname, lastname FROM persons");
		} catch (ClassNotFoundException e) {
			throw new JRException("Could not found database driver class!");
		} catch (SQLException e) {
			throw new JRException("SQL statement failed!");
		}
			
	}
	
	private void closeDB() throws SQLException {
		conn.close();
	}

}
